MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025931Open CASCADE[OCCT] OCCT:Visualizationpublic2015-03-13 15:042015-05-14 15:31
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025931: Visualization - Possibility to initialize an environment texture by Image_PixMap instance
DescriptionIt would be convenient to initialize Graphic3d_TextureEnv object with an instance of Image_PixMap class, just like other Graphic3d_Texture* classes.
Steps To ReproduceNot required
Additional information
and documentation updates
A constructor has been added to Graphic3d_TextureEnv class that accepts Image_PixMap instance.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0038325)
git (administrator)
2015-03-13 15:17

Branch CR25931 has been created by san.

SHA-1: c681a738ffe175b59b6b43b34f456253851a09a0


Detailed log of new commits:

Author: san
Date: Fri Mar 13 15:16:46 2015 +0300

    0025931: Visualization - Possibility to initialize an environment texture by Image_PixMap instance
(0038326)
san (developer)
2015-03-13 15:18

Branch CR25931 ready for reviewing.
(0038327)
duv (developer)
2015-03-13 15:23

Dear bugmaster,

Please test the patch.
(0038337)
git (administrator)
2015-03-13 17:17

Branch CR25931 has been updated forcibly by san.

SHA-1: 485f00092eb8277038f71473034e544f26fa69d2
(0038351)
git (administrator)
2015-03-13 18:19

Branch CR25931 has been updated forcibly by apv.

SHA-1: 7f82a4453d04d8cd909184fcc0054d6f7a4b82f0
(0038353)
apv (tester)
2015-03-13 18:20

Branch CR25931 has been rebased on the current master
(0038394)
apv (tester)
2015-03-16 15:12

Dear BugMaster,

Branch CR25931 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 7f82a4453d04d8cd909184fcc0054d6f7a4b82f0

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
Not detected

Testing on Linux:
Total MEMORY difference: 89901205 / 90070260
Total CPU difference: 58357.520000000244 / 58911.169999999984

Testing on Windows:
Total MEMORY difference: 58088003 / 58093704
Total CPU difference: 48822.03125 / 57284.859375
(0039446)
git (administrator)
2015-04-09 09:48

Branch CR25931 has been deleted by kgv.

SHA-1: 7f82a4453d04d8cd909184fcc0054d6f7a4b82f0

- Related Changesets
occt: master 1a6751b1
Timestamp: 2015-03-13 14:17:46
Author: san
Committer: bugmaster
Details ] Diff ]
0025931: Visualization - Possibility to initialize an environment texture by Image_PixMap instance
mod - src/Graphic3d/Graphic3d_TextureEnv.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_TextureEnv.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-13 15:04 san New Issue
2015-03-13 15:04 san Assigned To => san
2015-03-13 15:17 git Note Added: 0038325
2015-03-13 15:17 san Status new => assigned
2015-03-13 15:18 san Note Added: 0038326
2015-03-13 15:18 san Assigned To san => duv
2015-03-13 15:18 san Status assigned => resolved
2015-03-13 15:18 san Steps to Reproduce Updated View Revisions
2015-03-13 15:19 san Additional Information Updated View Revisions
2015-03-13 15:23 duv Note Added: 0038327
2015-03-13 15:23 duv Assigned To duv => bugmaster
2015-03-13 15:23 duv Status resolved => reviewed
2015-03-13 17:17 git Note Added: 0038337
2015-03-13 17:54 apv Assigned To bugmaster => apv
2015-03-13 18:19 git Note Added: 0038351
2015-03-13 18:20 apv Note Added: 0038353
2015-03-16 15:08 apv Test case number => Not needed
2015-03-16 15:12 apv Note Added: 0038394
2015-03-16 15:12 apv Assigned To apv => bugmaster
2015-03-16 15:12 apv Status reviewed => tested
2015-03-20 13:34 bugmaster Changeset attached => occt master 1a6751b1
2015-03-20 13:34 bugmaster Status tested => verified
2015-03-20 13:34 bugmaster Resolution open => fixed
2015-04-09 09:48 git Note Added: 0039446
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker